package com.ys.product.ysmq.front.log;

/**
 * 日志接口
 */
public interface Log {

    void error(String message);

    void error(String format, Object... arguments);

    void error(String format, Throwable t);

    void info(String message);

    void info(String format, Object... args);

    void debug(String message);

    void debug(String format, Object... args);

    Log getLog(Class<?> clazz);

    Log getLog(String className);
}
