package com.ys.product.ysmq.front.model;

import java.io.Serializable;

/**
 * <p>
 * 创建的consumer信息
 * </p>
 * 
 * @author jiangyuechao 2018年1月9日 下午1:55:34
 * @version V1.0
 * @modificationHistory=========================逻辑或功能性重大变更记录
 * @modify by user: {修改人} 2018年1月9日
 * @modify by reason:{方法名}:{原因}
 */
public class ConsumerInfo implements Serializable {

    /**
     * 序列化ID
     */
    private static final long serialVersionUID = 1L;

    private String consumerId;

    private String group;

    public ConsumerInfo() {

    }

    public ConsumerInfo(String consumerId, String group) {
        super();
        this.consumerId = consumerId;
        this.group = group;
    }

    public String getConsumerId() {
        return consumerId;
    }

    public void setConsumerId(String consumerId) {
        this.consumerId = consumerId;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((consumerId == null) ? 0 : consumerId.hashCode());
        result = prime * result + ((group == null) ? 0 : group.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        ConsumerInfo other = (ConsumerInfo) obj;
        if (consumerId == null) {
            if (other.consumerId != null)
                return false;
        } else if (!consumerId.equals(other.consumerId))
            return false;
        if (group == null) {
            if (other.group != null)
                return false;
        } else if (!group.equals(other.group))
            return false;
        return true;
    }

}
