package com.ys.product.ysmq.front.model;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 读取消息接口的返回格式
 * </p>
 * 
 * @author jiangyuechao 2018年2月6日 下午2:40:53
 * @version V1.0
 * @modificationHistory=========================逻辑或功能性重大变更记录
 * @modify by user: {修改人} 2018年2月6日
 * @modify by reason:{方法名}:{原因}
 */
public class ReadMsgResult implements Serializable {

    /**
     * 序列化ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 返回码
     */
    String code;

    /**
     * 说明
     */
    String msg;

    /**
     * 设备上传的消息
     */
    List<Object> data;

    public ReadMsgResult() {
    }

    public ReadMsgResult(String code, String msg, List<Object> data) {
        super();
        this.code = code;
        this.msg = msg;
        this.data = data;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<Object> getData() {
        return data;
    }

    public void setData(List<Object> data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "BaseRecordResult [code=" + code + ", msg=" + msg + ", data=" + data + "]";
    }

}
